Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Stefan Kangas <[email-masked]>
Date: Mon, 31 Aug 2020 02:11:44 +0000

Maneesh Yadav <[email-masked]> writes:

> Apologies to all I haven't ben able to follow up on this more
> thoroughly, part of the problem was trying to get the crash to
> replicate.  I could do it in a few minutes while I was originally
> posting, then as I was getting all the right debug statements in it
> got harder and harder.  I decided to just revert to normal use and
> wait for it to happen.  Just happened again and I've put all the
> debugging info I can here and will try to trace through glib and
> figure out what is going on, just putting everything here for
> reference.

(That was five years ago.)

Were you ever able to get any further in debugging this?  Are you still
seeing this on a recent version of Emacs?

Thanks in advance.

Best regards,
Stefan Kangas